/*	Distributed as part of 'AT JsMenu' under the same terms (LGPL)
	Author: AT Mulyana (atmulyana@yahoo.com)
	Copyright (C) 2001-2006 AT Mulyana
*/
function AtJsMenuRemoteXmlDataset(sUrl,fOnReadyCallBack) {
	if (typeof fOnReadyCallBack == 'function') this.onready = fOnReadyCallBack;
	var oReq = AtJsMenuXmlDataset.getHttpRequestObject();
	AtJsMenuRemoteXmlDataset.currentParser = this;
	AtJsMenuRemoteXmlDataset.currentRequest = oReq;
	oReq.open('GET', sUrl, true);
	oReq.onreadystatechange = AtJsMenuRemoteXmlDataset.__onreadystatechange__;
	oReq.send(null);
	this.xmlDoc = null;
}
AtJsMenuRemoteXmlDataset.prototype = new AtJsMenuXmlDataset();

AtJsMenuRemoteXmlDataset.currentRequest = null;
AtJsMenuRemoteXmlDataset.__onreadystatechange__ = function() {
	var oReq = AtJsMenuRemoteXmlDataset.currentRequest;
	var oParser = AtJsMenuRemoteXmlDataset.currentParser;
	if (oReq.readyState == 4) {
   		if(oReq.status == 200) {
   			oParser.xmlDoc = oReq.responseXML;
   			oParser.parse();
   			oParser.onready();
   		} else {
   			window.alert("Error loading XML file");
   		}
	}
}

AtJsMenuRemoteXmlDataset.prototype.onready = function() {
}

AtJsMenuRemoteXmlDataset.prototype.getRootElement = function() {
	if (!this.xmlDoc) return null;
	return this.xmlDoc.getElementsByTagName('AtJsMenu').item(0);
}