<?php
/*
	Distributed as part of 'AT JsMenu' under the same terms (LGPL)
	Author: AT Mulyana (atmulyana@yahoo.com)
	Copyright (C) 2001-2006 AT Mulyana
*/

class AtJsMenuRequestParam {
	function AtJsMenuRequestParam($sParamName) {
		static $arParams = NULL;
	    $this->_isExist = false;
		while ($arParams === NULL) {
			if (!isset($_COOKIE['AtJsMenu'])) break;
			$this->_isExist = true;
		    $arParams = array();
		    $sParams = trim($_COOKIE['AtJsMenu']);
		    if (empty($sParams)) break;
		    $_arParams = explode(':', $sParams);
		    for ($i=0; $i < count($_arParams); $i++) {
				$params = explode('=',$_arParams[$i]);
				if (count($params) < 2) continue;
				$arParams[ $params[0] ] = $params[1];
			}
		    break;
		}
		
		$this->_paramName = $sParamName;
		$this->__params =& $arParams;
	}
	
	function isExist() {
		return $this->_isExist;
	}

	function setValue($val) {
		$oParams =& $this->__params;
		$bRemove = ($val === NULL);
		if ($bRemove) {
			if (!isset($this->__params[$this->_paramName])) unset($this->__params[$this->_paramName]);
		}
		else $this->__params[$this->_paramName] = $val;
		$sCookie = '';
		foreach ($this->__params as $p => $val) $sCookie .= ($p . '=' . $val . ':');
		setcookie('AtJsMenu', $sCookie);
	}
	
	function getValue() {
		if (isset($this->__params[$this->_paramName]))
			return $this->__params[$this->_paramName];
		return NULL;
	}
	
	function removeMe() {
		$this->setValue(NULL);
	}

}

?>