<?php
/*
	Distributed as part of 'AT JsMenu' under the same terms (LGPL)
	Author: AT Mulyana (atmulyana@yahoo.com)
	Copyright (C) 2001-2006 AT Mulyana
*/

class AtJsMenuRequestParam {
	private static $__params = NULL;
	protected $_isExist = false;
	protected $_paramName;
	
	function AtJsMenuRequestParam($sParamName) {
		while (self::$__params === NULL) {
			if (!isset($_COOKIE['AtJsMenu'])) break;
			$this->_isExist = true;
		    self::$__params = array();
		    $sParams = trim($_COOKIE['AtJsMenu']);
			if (empty($sParams)) break;
		    $_arParams = explode(':', $sParams);
		    for ($i=0; $i < count($_arParams); $i++) {
				$params = explode('=',$_arParams[$i]);
				if (count($params) < 2) continue;
				self::$__params[ $params[0] ] = $params[1];
			}
		    break;
		}
		
		$this->_paramName = $sParamName;
	}
	
	function isExist() {
		return $this->_isExist;
	}

	function setValue($val) {
		$oParams =& self::$__params;
		$bRemove = ($val === NULL);
		if ($bRemove) {
			if (!isset(self::$__params[$this->_paramName])) unset(self::$__params[$this->_paramName]);
		}
		else self::$__params[$this->_paramName] = $val;
		$sCookie = '';
		foreach (self::$__params as $p => $val) $sCookie .= ($p . '=' . $val . ':');
		setcookie('AtJsMenu', $sCookie);
	}
	
	function getValue() {
		if (isset(self::$__params[$this->_paramName]))
			return self::$__params[$this->_paramName];
		return NULL;
	}
	
	function removeMe() {
		$this->setValue(NULL);
	}

}

?>