/*
	Distributed as part of 'AT JsMenu' under the same terms (LGPL)
	Author: AT Mulyana (atmulyana@yahoo.com)
	Copyright (C) 2001-2006 AT Mulyana
*/
AtJsMenu.delayOpen = 10;

oMenuBarElm = document.createElement('DIV');
oMenuBarElm.style.width = '100%';
setNotSelectedElement(oMenuBarElm); //IE6
document.body.appendChild(oMenuBarElm);
oMenuBarElm = oMenuBarElm.appendChild(document.createElement('DIV'));
oMenuBarElm.id = 'menuBar';

oFolderIcon = document.createElement('DIV');
oFolderIcon.className = 'folder-icon';
oMenuBar = new AtJsMenuBar('menuBar','../At.ico');

//var debugText = oMenuBarElm.appendChild(document.createElement('INPUT'));
//debugText.type = 'text';

function loadModule(e) {
	location.href = 'module.htm?' + escape(e.src.text);
}

oMenu = new AtJsMenu('Transaction');
oMenu.setMnemonic(AtJsMenuKeys.DOM_VK_T);
oMenu.onclick = loadModule;
oMenuBar.add(oMenu);
oMenu.add(new AtJsMenuItem('Sales Retail (Point of Sales)'));
oMenu.addSeparator();
oMenuItem = new AtJsMenuItem('General Journal');
oMenuItem.onclick = function(e) {
	window.alert("You clicked 'General Journal'\nThe event bubble is not canceled");
};
oMenu.add(oMenuItem);
oMenuItem = new AtJsMenuItem('Cash & Bank');
oMenuItem.onclick = function(e) {
	window.alert("You clicked 'Cash & Bank'\nThe event bubble is canceled");
	e.cancelBubble = true;
};
oMenu.add(oMenuItem);

oSubMenu = new AtJsMenu('Purchase',oFolderIcon);
//oSubMenu.onclick = loadModule;
oSubMenu.add(new AtJsMenuItem('Requisition'));
oSubMenu.add(new AtJsMenuItem('Purchase Order'));
oSubMenu.add(new AtJsMenuItem('Incoming Invoice'));
oSubMenu.add(new AtJsMenu('The Other Transaction'));
oMenu.insert(oSubMenu,0);
oSubMenu = oSubMenu.getItem(3);
oMenuItem = new AtJsMenuItem('Fictitious Transaction');
oMenuItem.setMnemonic(AtJsMenuKeys.DOM_VK_F);
oSubMenu.add(oMenuItem);
oMenuItem = new AtJsMenuItem('Markup Transaction');
oMenuItem.setMnemonic(AtJsMenuKeys.DOM_VK_M);
oSubMenu.add(oMenuItem);

oSubMenu = new AtJsMenu('Sales',oFolderIcon);
//oSubMenu.onclick = loadModule;
oMenu.insert(oSubMenu,1);
oSubMenu.add(new AtJsMenuItem('Sales Order'));
oSubMenu.add(new AtJsMenuItem('Invoice'));

oMenu = new AtJsMenu('Options');
oMenu.setMnemonic(AtJsMenuKeys.DOM_VK_O);
oMenuBar.add(oMenu);

var g_oBrowserMenu = new AtJsMenu('Supported Browsers',oFolderIcon);
g_oBrowserMenu.description = 'Your preferred browsers';
g_oBrowserMenu.setMnemonic(AtJsMenuKeys.DOM_VK_B);
oMenu.add(g_oBrowserMenu);

oMenuItem = new AtJsMenuCheckBoxItem('Internet Explorer','icons/ie.gif');
oMenuItem.setMnemonic(AtJsMenuKeys.DOM_VK_E);
oMenuItem.setRequestParam(new AtJsMenuRequestParam('ie'));
oMenuItem.onclick = function() {
	if (this.isSelected() && (navigator.family=='IE6')) window.status = 'You have got one';
	else if (navigator.family=='IE6') window.status = 'You loose what you have';
	else window.status = 'Not Right Browser';
};
if (AtJsMenuRequestParam.isExist) oMenuItem.setValueFromRequestParam();
else if (navigator.family == 'IE6') oMenuItem.setSelected(true);
g_oBrowserMenu.add(oMenuItem);

oMenuItem = new AtJsMenuCheckBoxItem('Mozilla', 'icons/mozilla.gif');
oMenuItem.setMnemonic(AtJsMenuKeys.DOM_VK_M);
oMenuItem.setRequestParam(new AtJsMenuRequestParam('gecko'));
oMenuItem.onclick = function() {
	if (this.isSelected() && (navigator.family=='Gecko'))
		window.status = 'You have got one or its compatible one';
	else if (navigator.family=='Gecko') window.status = 'You loose what you have';
	else window.status = 'Not Right Browser';
};
if (AtJsMenuRequestParam.isExist) oMenuItem.setValueFromRequestParam();
else if (navigator.family == 'Gecko') oMenuItem.setSelected(true);
g_oBrowserMenu.add(oMenuItem);

oMenuItem = new AtJsMenuCheckBoxItem('Opera', 'icons/opera7.gif');
oMenuItem.setMnemonic(AtJsMenuKeys.DOM_VK_O);
oMenuItem.setRequestParam(new AtJsMenuRequestParam('opera'));
oMenuItem.onclick = function() {
	if (this.isSelected() && (navigator.family=='Opera7')) window.status = 'You have got one';
	else if (navigator.family=='Opera7') window.status = 'You loose what you have';
	else window.status = 'Not Right Browser';
};
if (AtJsMenuRequestParam.isExist) oMenuItem.setValueFromRequestParam();
else if (navigator.family == 'Opera7') oMenuItem.setSelected(true);
g_oBrowserMenu.add(oMenuItem);

oMenuItem = new AtJsMenuCheckBoxItem('Unknown Browser',null,true);
oMenuItem.setMnemonic(AtJsMenuKeys.DOM_VK_U);
oMenuItem.setRequestParam(new AtJsMenuRequestParam('browser'));
if (AtJsMenuRequestParam.isExist) oMenuItem.setValueFromRequestParam();
g_oBrowserMenu.add(oMenuItem);

var g_oLangMenu = new AtJsMenu('Language',oFolderIcon);
g_oLangMenu.setMnemonic(AtJsMenuKeys.DOM_VK_L);
g_oLangMenu.description = 'The chosen language';
g_oButtonGroup = new AtJsMenuButtonGroup();
oMenu.add(g_oLangMenu);

oMenuItem = new AtJsMenuRadioButtonItem('Japanese', 'icons/flgjapan.ico',false,'jpn');
oMenuItem.setMnemonic(AtJsMenuKeys.DOM_VK_J);
oMenuItem.onclick = function() { window.alert('I do not understand Japanese'); };
g_oButtonGroup.add(oMenuItem);
g_oLangMenu.add(oMenuItem);

oMenuItem = new AtJsMenuRadioButtonItem('Indonesian', 'icons/flgind.gif',false,'ind');
oMenuItem.setMnemonic(AtJsMenuKeys.DOM_VK_I);
oMenuItem.onclick = function() { window.alert('Even if I\'m Indonesian, I do not provide it yet'); };
g_oButtonGroup.add(oMenuItem);
g_oLangMenu.add(oMenuItem);

oMenuItem = new AtJsMenuRadioButtonItem('German', 'icons/flggerm.gif',false,'ger');
oMenuItem.setMnemonic(AtJsMenuKeys.DOM_VK_G);
oMenuItem.onclick = function() { window.alert('I do not understand German'); };
g_oButtonGroup.add(oMenuItem);
g_oLangMenu.add(oMenuItem);

oMenuItem = new AtJsMenuRadioButtonItem('English','icons/flguk.ico',false,'eng');
oMenuItem.setMnemonic(AtJsMenuKeys.DOM_VK_E);
oMenuItem.description = 'The only supported language';
oMenuItem.onclick = function() { window.alert('You have got one'); };
g_oButtonGroup.add(oMenuItem);
g_oLangMenu.add(oMenuItem);

oMenuItem = new AtJsMenuRadioButtonItem('Unknown Language',null,false,'unk');
oMenuItem.setMnemonic(AtJsMenuKeys.DOM_VK_U);
oMenuItem.onclick = function() { window.alert('What language? Alien language? Are you kidding?'); };
g_oButtonGroup.add(oMenuItem);
g_oLangMenu.add(oMenuItem);

g_oLangMenu.onchange = function(e) {
	if (e.src.isSelected()) e.src.setEnabled(false);
	else e.src.setEnabled(true);
}

g_oButtonGroup.setRequestParam(new AtJsMenuRequestParam('lang'));
if (g_oButtonGroup.getRequestParamValue() !== null) g_oButtonGroup.setValueFromRequestParam();
else g_oButtonGroup.setValue('eng');

oMenuItem = new AtJsMenuItem('General Options');
oMenu.add(oMenuItem);
oMenuItem.setMnemonic(AtJsMenuKeys.DOM_VK_O);
oMenuItem.setAccelerator(AtJsMenuKeys.DOM_VK_PAGE_DOWN,
	AtJsMenuKeys.CONTROL_MASK + AtJsMenuKeys.SHIFT_MASK);
oMenuItem.onclick = function() { location.href = 'options.htm'; };
oMenuItem = new AtJsMenuItem('What another script says');
oMenuItem.setMnemonic(AtJsMenuKeys.DOM_VK_P);
oMenuItem.onclick = function() { location.href = 'options.php'; };
if (location.href.search(/options\.php$/)!=-1) oMenuItem.setEnabled(false);
oMenu.add(oMenuItem);
oMenu.insertSeparator(2);


/********* Example: To use cookie to set persistent state between consecutive requests *********/
    /* It uses object AtJsMenuRequestParam iindependently */
var g_oDynamicMenu = new AtJsMenu('Dynamic Menu');
g_oDynamicMenu.setMnemonic(AtJsMenuKeys.DOM_VK_M);
g_oDynamicMenu.description = 'Its menu items can be dynamically added or removed';
oMenuBar.add(g_oDynamicMenu);
oMenuItem = new AtJsMenuItem('Add an item');
var g_iAddedMenuItemIdx = 1;
var g_oDynMenuReqParam = new AtJsMenuRequestParam('dynmenu');
var g_sShownDynIndex = (g_oDynMenuReqParam.getValue() ? g_oDynMenuReqParam.getValue() : '');
oMenuItem.onclick = function() {
	var o_MenuItem = new AtJsMenuItem('Remove this item added ' + (g_iAddedMenuItemIdx++));
	o_MenuItem.dynIndex = g_iAddedMenuItemIdx - 1;
	g_oDynamicMenu.add(o_MenuItem);
	g_sShownDynIndex += (o_MenuItem.dynIndex + '-');
	g_oDynMenuReqParam.setValue(g_sShownDynIndex + g_iAddedMenuItemIdx);
	o_MenuItem.onclick = function() {
		g_oDynamicMenu.remove( this.getIndex() );
		g_sShownDynIndex = g_sShownDynIndex.replace(new RegExp('^'+this.dynIndex+'-'), '');
		g_sShownDynIndex = g_sShownDynIndex.replace(new RegExp('-'+this.dynIndex+'-'), '-');
		g_oDynMenuReqParam.setValue(g_sShownDynIndex + g_iAddedMenuItemIdx);
	}
}
g_oDynamicMenu.add(oMenuItem);
g_oDynamicMenu.addSeparator();
arShownDynIndex = g_sShownDynIndex.split('-');
g_sShownDynIndex = '';
for (i=0; i<arShownDynIndex.length-1; i++)
	if (arShownDynIndex[i]) {
		g_iAddedMenuItemIdx = parseInt(arShownDynIndex[i]);
		oMenuItem.onclick();
	}
i = arShownDynIndex.length-1;
if (i >= 0 && arShownDynIndex[i]!='') {
	//Last element of arShownDynIndex is the last value of g_iAddedMenuItemIdx
	g_iAddedMenuItemIdx = parseInt(arShownDynIndex[i]);
	g_oDynMenuReqParam.setValue(g_sShownDynIndex + g_iAddedMenuItemIdx);
}
/********* End Example: To use cookie to set persistent *********/
	
	
oMenu = new AtJsMenu('Help');
oMenu.setMnemonic(AtJsMenuKeys.DOM_VK_H);
oMenu.description = 'I don\'t know what it is';
oMenuBar.add(oMenu);
oMenuItem = new AtJsMenuItem('About This Widget');
oMenuItem.setAccelerator(AtJsMenuKeys.DOM_VK_W,
	AtJsMenuKeys.ALT_MASK + AtJsMenuKeys.CONTROL_MASK + AtJsMenuKeys.SHIFT_MASK);
oMenuItem.descAttrName = 'title';
oMenuItem.description = 'Copyright of this menu widget';
oMenuItem.onclick = AtJsMenu.showCopyright;
oMenu.add(oMenuItem);
oMenuItem.setMnemonic(AtJsMenuKeys.DOM_VK_W);
oMenuItem = new AtJsMenuItem('About Author');
oMenuItem.description = 'Some informations about the script writer of this menu widget';
oMenuItem.onclick = function() { location.href = 'author.htm'; };
oMenu.add(oMenuItem);
oMenuItem.setMnemonic(AtJsMenuKeys.DOM_VK_A);
oMenuItem.setAccelerator(AtJsMenuKeys.DOM_VK_A,
	AtJsMenuKeys.ALT_MASK + AtJsMenuKeys.SHIFT_MASK);
oMenu.addSeparator();
oIcon = document.createElement('IMG');
oIcon.src = 'icons/IconHome.gif';
oMenuItem = new AtJsMenuItem('Home Page', oIcon);
oMenuItem.description = 'You\'ll have the story about this widget';
oMenuItem.onclick = function() { location.href = 'index.html'; };
oMenu.add(oMenuItem);
oMenuItem.setMnemonic(AtJsMenuKeys.DOM_VK_H);
oMenuItem.setAccelerator(AtJsMenuKeys.DOM_VK_HOME,
	AtJsMenuKeys.CONTROL_MASK + AtJsMenuKeys.SHIFT_MASK);

oMenuBar.addSeparator();
oMenuItem = new AtJsMenuItem('Go Blank');
//oMenuItem.setEnabled(false);
oMenuItem.onclick = function(e) {
	location.href = 'about:blank';
}
oMenuBar.add(oMenuItem);

var g_oSelectMe = new AtJsMenuCheckBoxItem('Unselect Me',null,true);
g_oSelectMe.setMnemonic(AtJsMenuKeys.DOM_VK_U);
g_oSelectMe.onclick = function(e) {
	if (this.isSelected()) {
		this.setText('Unselect Me');
		this.setMnemonic(AtJsMenuKeys.DOM_VK_U);
	} else {
		this.setText('Select Me');
		this.setMnemonic(AtJsMenuKeys.DOM_VK_S);
	}
}
oMenuBar.add(g_oSelectMe);

oMenuItem = new AtJsMenuItem('<=Disable');
oMenuItem.onclick = function(e) {
	if (g_oSelectMe.isEnabled()) {
		this.setText('<=Enable');
		g_oSelectMe.setEnabled(false);
	} else {
		this.setText('<=Disable');
		g_oSelectMe.setEnabled(true);
	}
}
oMenuBar.add(oMenuItem);

oMenuItem = new AtJsMenuItem('Remove Me');
oMenuItem.onclick = function(e) {
	this.parentMenu.remove(this);
}
oMenuBar.insert(oMenuItem,6);

oButtonGroup = new AtJsMenuButtonGroup();

oMenuItem = new AtJsMenuRadioButtonItem('A',null,false,'A');
oMenuBar.add(oMenuItem);
oButtonGroup.add(oMenuItem);

oMenuItem = new AtJsMenuRadioButtonItem('B',null,true,'B');
oMenuBar.add(oMenuItem);
oButtonGroup.add(oMenuItem);

oMenuItem = new AtJsMenuRadioButtonItem('C',null,false,'C');
oMenuBar.add(oMenuItem);
oButtonGroup.add(oMenuItem);

oButtonGroup.setRequestParam(new AtJsMenuRequestParam('topChoice'));
if (oButtonGroup.getRequestParamValue() !== null) oButtonGroup.setValueFromRequestParam();

oMenuBar.insertSeparator(9);
oMenuBar.addSeparator();

oMenu = new AtJsMenu('Popup');
oMenu.descAttrName = 'title';
oMenu.description = 'Wanna see the popup menu?';
oMenuBar.add(oMenu);
oMenuItem = new AtJsMenuItem('All JavaScript');
oMenuItem.onclick = function() { location.href='popup.htm'; };
oMenu.add(oMenuItem);
oMenuItem = new AtJsMenuItem('From XML (Static HTML)');
oMenuItem.onclick = function() { location.href='popup.xml.htm'; };
oMenu.add(oMenuItem);
oMenuItem = new AtJsMenuItem('From XML (PHP)');
oMenuItem.onclick = function() { location.href='popup.xml.php'; };
oMenu.add(oMenuItem);
oMenuItem = new AtJsMenuItem('From Remote XML');
oMenuItem.onclick = function() { location.href='popup.remotexml.htm'; };
oMenu.add(oMenuItem);