/*
	Distributed as part of 'AT JsMenu' under the same terms (LGPL)
	Author: AT Mulyana (atmulyana@yahoo.com)
	Copyright (C) 2001-2006 AT Mulyana
*/

function AtJsMenuEvent() {
	//Uniforms the value of mouse button when a mouse event happens
	var e = window.event;
	e.getButton = function() {
		if (this.which == 3) return 4;
		return this.which;
	};
	return e;
}

if (typeof AtJsMenuKeys == 'object') {
	o = AtJsMenuKeys;
	if (navigator.version < 7.5) { 
o.DOM_VK_ALT	= 57400;
o.DOM_VK_CONTROL= 57402;
o.DOM_VK_SHIFT	= 57401;
o.DOM_VK_PAUSE	= 57414;
o.DOM_VK_PAGE_UP= 57383;
o.DOM_VK_PAGE_DOWN= 57384;
o.DOM_VK_END	= 57382;
o.DOM_VK_HOME	= 57381;
o.DOM_VK_LEFT	= 57387;
o.DOM_VK_UP		= 57385;
o.DOM_VK_RIGHT	= 57388;
o.DOM_VK_DOWN	= 57386;
o.DOM_VK_INSERT	= 57394;
o.DOM_VK_DELETE	= 57395;
o.DOM_VK_SEMICOLON= 186;
o.DOM_VK_EQUALS	= 187;
o.DOM_VK_NUMPAD0= 48;
o.DOM_VK_NUMPAD1= 49;
o.DOM_VK_NUMPAD2= 50;
o.DOM_VK_NUMPAD3= 51;
o.DOM_VK_NUMPAD4= 52;
o.DOM_VK_NUMPAD5= 53;
o.DOM_VK_NUMPAD6= 54;
o.DOM_VK_NUMPAD7= 55;
o.DOM_VK_NUMPAD8= 56;
o.DOM_VK_NUMPAD9= 57;
o.DOM_VK_MULTIPLY= 57391;
o.DOM_VK_ADD	= 57392;
o.DOM_VK_SUBTRACT= 57393;
o.DOM_VK_DIVIDE= 57390;
o.DOM_VK_F1		= 57345;
o.DOM_VK_F2		= 57346;
o.DOM_VK_F3		= 57347;
o.DOM_VK_F4		= 57348;
o.DOM_VK_F5		= 57349;
o.DOM_VK_F6		= 57350;
o.DOM_VK_F7		= 57351;
o.DOM_VK_F8		= 57352;
o.DOM_VK_F9		= 57353;
o.DOM_VK_F10	= 57354;
o.DOM_VK_F11	= 57355;
o.DOM_VK_F12	= 57356;
o.DOM_VK_NUM_LOCK= 57412;
o.DOM_VK_SCROLL_LOCK= 57413;

	} else { //vesion >= 7.5
o.DOM_VK_PAUSE = -1; //Actually it's 0. To make it never be caught (unidentified)
o.DOM_VK_END = -1;
o.DOM_VK_HOME = -1;
o.DOM_VK_PRINTSCREEN = -1;
o.DOM_VK_INSERT = -1;
o.DOM_VK_DELETE = -1;
o.DOM_VK_CONTEXT_MENU = -1;
o.DOM_VK_NUMPAD0= 48;
o.DOM_VK_NUMPAD1= 49;
o.DOM_VK_NUMPAD2= 50;
o.DOM_VK_NUMPAD3= 51;
o.DOM_VK_NUMPAD4= 52;
o.DOM_VK_NUMPAD5= 53;
o.DOM_VK_NUMPAD6= 54;
o.DOM_VK_NUMPAD7= 55;
o.DOM_VK_NUMPAD8= 56;
o.DOM_VK_NUMPAD9= 57;
o.DOM_VK_MULTIPLY= 42;
o.DOM_VK_ADD = 43;
o.DOM_VK_SUBTRACT= 45;
o.DOM_VK_DECIMAL= 78;
o.DOM_VK_DIVIDE= 47;
o.DOM_VK_NUM_LOCK= -1;
o.DOM_VK_SCROLL_LOCK= -1;
o.DOM_VK_COMMA= 44;
o.DOM_VK_PERIOD= 46;
o.DOM_VK_SLASH= 47;
o.DOM_VK_BACK_QUOTE= 96;
o.DOM_VK_OPEN_BRACKET= 91;
o.DOM_VK_BACK_SLASH= 92;
o.DOM_VK_CLOSE_BRACKET= 93;
o.DOM_VK_QUOTE= 39;
	}
	delete o;
}

//Window area side coords
if (document.compatMode == 'CSS1Compat') {
	window.getWinLeftSide = function() {
		return document.documentElement.scrollLeft;
	}
	window.getWinRightSide = function() {
		return getWinLeftSide() + document.documentElement.clientWidth - 1;
	}
	window.getWinTopSide = function() {
		return document.documentElement.scrollTop;
	}
	window.getWinBottomSide = function() {
		return getWinTopSide() + document.documentElement.clientHeight - 1;
	}
} else {
	window.getWinLeftSide = function() {
		return document.body.scrollLeft;
	}
	window.getWinRightSide = function() {
		return getWinLeftSide() + document.body.clientWidth - 1;
	}
	window.getWinTopSide = function() {
		return document.body.scrollTop;
	}
	window.getWinBottomSide = function() {
		return getWinTopSide() + document.body.clientHeight - 1;
	}
}

function getElementCoordOnPage(oElm) {
	var iX = oElm.offsetLeft, iY = oElm.offsetTop;
	while ((oElm.offsetParent != document.body) && (oElm.offsetParent.tagName != 'HTML')) {
		oElm = oElm.offsetParent;
		iX += oElm.offsetLeft;
		iY += oElm.offsetTop;
		if (oElm.tagName != 'TABLE') {
			iX += oElm.clientLeft;
			iY += oElm.clientTop;
		}
	}
	return {x: iX, y: iY};
}

function setNotSelectedElement(oElm) {
	oElm.onselectstart = function(e) { window.event.returnValue = false; };
}